Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.resource.execution
Enum ContainerPolicyManager.FilePermissionLevel

    java.lang.Object
      java.lang.Enum<ContainerPolicyManager.FilePermissionLevel>
          lbg.resource.execution.ContainerPolicyManager.FilePermissionLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContainerPolicyManager.FilePermissionLevel>

Enclosing class:
  ContainerPolicyManager

    public static enum ContainerPolicyManager.FilePermissionLevel

extends java.lang.Enum<ContainerPolicyManager.FilePermissionLevel>

Enum Constant Summary
`READ_ONLY`
`READ_WRITE`
`READ_WRITE_DELETE`

Method Summary
`static ContainerPolicyManager.FilePermissionLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContainerPolicyManager.FilePermissionLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ_ONLY

    public static final ContainerPolicyManager.FilePermissionLevel READ_ONLY

### READ_WRITE

    public static final ContainerPolicyManager.FilePermissionLevel READ_WRITE

### READ_WRITE_DELETE

    public static final ContainerPolicyManager.FilePermissionLevel READ_WRITE_DELETE

Method Detail

### values

    public static final ContainerPolicyManager.FilePermissionLevel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ContainerPolicyManager.FilePermissionLevel c : ContainerPolicyManager.FilePermissionLevel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ContainerPolicyManager.FilePermissionLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.